aboutsummaryrefslogtreecommitdiff
path: root/bin/desktop-autoloader
diff options
context:
space:
mode:
Diffstat (limited to 'bin/desktop-autoloader')
-rwxr-xr-xbin/desktop-autoloader2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/desktop-autoloader b/bin/desktop-autoloader
index f39b9be..305bb98 100755
--- a/bin/desktop-autoloader
+++ b/bin/desktop-autoloader
@@ -59,7 +59,7 @@ fi
###
### input sanitizing...
###
-if ! echo "${AUTOLOAD_DISPLAY}" | grep -qE "^.*:[0-9]+(|\.[0-9]+)"; then
+if ! echo "${AUTOLOAD_DISPLAY}" | grep -qE '^.*:[0-9]+(|\.[0-9]+)$'; then
echo "Inappropriate setting for \$AUTOLOAD_DISPLAY variable: ${AUTOLOAD_DISPLAY}"
exit 1
fi